ساپورت ES6

2 هفته پیش
توسط علی بیات آپدیت شد
فرهاد ( 22950 تجربه )
2 هفته پیش
تخصص : برنامه نویس

سلام ، من یه مطالعه داشتم راجب ساپورت ES۶ در مرورگرها که دیدم ورژن های بالا در کروم و فایرفاکس و موزیلا از ES۶ ساپورت میکنن

خب وقتی ساپورت میشه چرا ما react رو با babel تبدیل میکنیم ؛ از همون کدی که مینویسیم استفاده کنیم

میلاد ( 147000 تجربه )
2 هفته پیش
تخصص : طراح رابط کاربری - Front-End

خودتون پاسخ سوالتون رو دادین: برای اینکه در نسخه های قدیمی مرورگرها هم پشتیبانی بشه. چون نسخه های قدیمی تره مرورگرها اکمااسکریپت 6 رو پشتیبانی نمی کنند.

علی بیات ( 300117 تجربه )
2 هفته پیش
تخصص : توسعه دهنده ارشد وب

بعضی از ویژگی های ES6 رو مرورگرهای جدید ساپورت میکنن

ما باید اپلیکیشنی بنویسیم که روی تمام مرورگرها قابل استفاده باشه .. پس مجبوریم کدها رو به ES5 تبدیل کنیم تا برای تمام مرورگرها قابل فهم باشه.

برای مرحله Development میشه به مرورگر متکی بود
اما برای Production ، کدهای ما باید همه جا قابل اجرا باشند.

اگر جدول زیر رو بررسی کنید، میبینید که تمام ویژگی های جدید هنوز به طور کامل پشتیبانی نمیشند
https://kangax.github.io/compat-table/es6/

برای ارسال پاسخ باید وارد سایت شوید